package com.za.bean

import android.os.Parcel
import android.os.Parcelable

data class VehicleInfo(
	var vehicleId : Int? = null, //车辆id
	var vehicleName : String? = null, //车辆名称（车牌号）
	var userName : String? = null, //当前用车司机姓名(工号)
	var userPhone : String? = null, //当前用车司机电话
	var status : Int? = null, //车辆状态  0 不在线 1 在线
	val plateNumber : String? = null, //车牌号
	var vehicleState : Int? = null, //车辆是否空闲 0 空闲 1 忙碌 2置忙 8维修
	var terminalId : Long? = null, //车辆高德tid
	var exitMileage : Int? = null, //上次退出公里数
	var supplierType : Int? = null, //经销商类型
) : Parcelable {
	constructor(parcel : Parcel) : this(parcel.readValue(Int::class.java.classLoader) as? Int,
		parcel.readString(),
		parcel.readString(),
		parcel.readString(),
		parcel.readValue(Int::class.java.classLoader) as? Int,
		parcel.readString(),
		parcel.readValue(Int::class.java.classLoader) as? Int,
		parcel.readValue(Long::class.java.classLoader) as? Long,
		parcel.readValue(Int::class.java.classLoader) as? Int,
		parcel.readValue(Int::class.java.classLoader) as? Int) {
	}

	override fun writeToParcel(parcel : Parcel, flags : Int) {
		parcel.writeValue(vehicleId)
		parcel.writeString(vehicleName)
		parcel.writeString(userName)
		parcel.writeString(userPhone)
		parcel.writeValue(status)
		parcel.writeString(plateNumber)
		parcel.writeValue(vehicleState)
		parcel.writeValue(terminalId)
		parcel.writeValue(exitMileage)
		parcel.writeValue(supplierType)
	}

	override fun describeContents() : Int {
		return 0
	}

	companion object CREATOR : Parcelable.Creator<VehicleInfo> {
		override fun createFromParcel(parcel : Parcel) : VehicleInfo {
			return VehicleInfo(parcel)
		}

		override fun newArray(size : Int) : Array<VehicleInfo?> {
			return arrayOfNulls(size)
		}
	}
}


data class LastLoginBean(val phone : String? = null,
	val supplierId : Int? = null,
	val vehicleId : Int?):Parcelable {
	constructor(parcel : Parcel) : this(parcel.readString(),
		parcel.readValue(Int::class.java.classLoader) as? Int,
		parcel.readValue(Int::class.java.classLoader) as? Int) {
	}

	override fun writeToParcel(parcel : Parcel, flags : Int) {
		parcel.writeString(phone)
		parcel.writeValue(supplierId)
		parcel.writeValue(vehicleId)
	}

	override fun describeContents() : Int {
		return 0
	}

	companion object CREATOR : Parcelable.Creator<LastLoginBean> {
		override fun createFromParcel(parcel : Parcel) : LastLoginBean {
			return LastLoginBean(parcel)
		}

		override fun newArray(size : Int) : Array<LastLoginBean?> {
			return arrayOfNulls(size)
		}
	}
}